Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JasperReport

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseReport
          net.sf.jasperreports.engine.JasperReport

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRDefaultFontProvider, JRDefaultStyleProvider, JRPropertiesHolder, JRReport

    public class JasperReport

extends JRBaseReport

The actual representation of a compiled report. The main difference between a report and a report design is that reports are already compiled and validated, so many characteristics are read only.

Version:
  $Id: JasperReport.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseReport
`background, bottomMargin, columnCount, columnDirection, columnFooter, columnHeader, columnSpacing, columnWidth, datasets, defaultFont, defaultStyle, detailSection, fonts, formatFactoryClass, ignorePagination, importsSet, isFloatColumnFooter, isSummaryNewPage, isSummaryWithPageHeaderAndFooter, isTitleNewPage, language, lastPageFooter, leftMargin, mainDataset, name, noData, orientationValue, pageFooter, pageHeader, pageHeight, pageWidth, printOrderValue, PROPERTY_WHEN_NO_DATA_TYPE, rightMargin, styles, summary, templates, title, topMargin, whenNoDataTypeValue`

Fields inherited from interface net.sf.jasperreports.engine.JRReport
`LANGUAGE_GROOVY, LANGUAGE_JAVA, ORIENTATION_LANDSCAPE, ORIENTATION_PORTRAIT, PRINT_ORDER_HORIZONTAL, PRINT_ORDER_VERTICAL, WHEN_NO_DATA_TYPE_ALL_SECTIONS_NO_DETAIL, WHEN_NO_DATA_TYPE_BLANK_PAGE, WHEN_NO_DATA_TYPE_NO_DATA_SECTION, WHEN_NO_DATA_TYPE_NO_PAGES, WHEN_RESOURCE_MISSING_TYPE_EMPTY, WHEN_RESOURCE_MISSING_TYPE_ERROR, WHEN_RESOURCE_MISSING_TYPE_KEY, WHEN_RESOURCE_MISSING_TYPE_NULL`

Constructor Summary
`JasperReport(JRReport report, java.lang.String compilerClass, java.io.Serializable compileData, JRBaseObjectFactory factory, java.lang.String compileNameSuffix)`
`JasperReport(JRReport report, java.lang.String compilerClass, java.io.Serializable compileData, JRExpressionCollector expressionCollector, java.lang.String compileNameSuffix)` Constructs a report by specifying the template report and compile information.

Method Summary
`java.io.Serializable` | `getCompileData()` Returns data resulted from the expression evaluators compilation.
`java.lang.String` | `getCompileNameSuffix()` Returns the suffix of the class/unit names generated at report compilation.
`java.lang.String` | `getCompilerClass()` Returns the name of the compiler class used to compile this report.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseReport
`copyTemplates, getBackground, getBottomMargin, getColumnCount, getColumnDirection, getColumnFooter, getColumnHeader, getColumnSpacing, getColumnWidth, getDatasets, getDefaultFont, getDefaultStyle, getDetail, getDetailSection, getEventSupport, getFields, getFonts, getFormatFactoryClass, getGroups, getImports, getLanguage, getLastPageFooter, getLeftMargin, getMainDataset, getName, getNoData, getOrientation, getOrientationValue, getPageFooter, getPageHeader, getPageHeight, getPageWidth, getParameters, getParentProperties, getPrintOrder, getPrintOrderValue, getPropertiesMap, getProperty, getPropertyNames, getQuery, getResourceBundle, getRightMargin, getScriptletClass, getScriptlets, getSortFields, getStyles, getSummary, getTemplates, getTitle, getTopMargin, getVariables, getWhenNoDataType, getWhenNoDataTypeValue, getWhenResourceMissingType, getWhenResourceMissingTypeValue, hasProperties, isFloatColumnFooter, isIgnorePagination, isSummaryNewPage, isSummaryWithPageHeaderAndFooter, isTitleNewPage, removeProperty, setProperty, setWhenNoDataType, setWhenNoDataType, setWhenResourceMissingType, setWhenResourceMissingType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JasperReport

    public JasperReport(JRReport report,
                        java.lang.String compilerClass,
                        java.io.Serializable compileData,
                        JRExpressionCollector expressionCollector,
                        java.lang.String compileNameSuffix)

  Constructs a report by specifying the template report and compile information.

  Parameters:
    `report` - the report template
    `compilerClass` - the name of the class used to compile the report
    `compileData` - the report/main dataset compile data
    `expressionCollector` - instance used to collect expressions from the report design
    `compileNameSuffix` - unique string used to distinguish between distinct compilations of reports having the same name

    The collector is used to fetch the generated expression IDs.

### JasperReport

    public JasperReport(JRReport report,
                        java.lang.String compilerClass,
                        java.io.Serializable compileData,
                        JRBaseObjectFactory factory,
                        java.lang.String compileNameSuffix)

Method Detail

### getCompilerClass

    public java.lang.String getCompilerClass()

  Returns the name of the compiler class used to compile this report.

  The compiler is used to instantiate expression evaluators.

  Returns:
    the name of the compiler class used to compile this report

### getCompileData

    public java.io.Serializable getCompileData()

  Returns data resulted from the expression evaluators compilation.

  This data is used to create expression evaluators for report filling.

  Returns:
    expression evaluators compiled data

### getCompileNameSuffix

    public java.lang.String getCompileNameSuffix()

  Returns the suffix of the class/unit names generated at report compilation.

  This is used to distinguish between disctinct compilations of reports having the same name.

  Returns:
    the suffix of the class/unit names generated at report compilation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com